View Issue Details

IDProjectCategoryView StatusLast Update
0028098Open CASCADEOCCT:Visualizationpublic2021-08-26 20:56
Reporterabv Assigned Tobugmaster  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version7.1.0 
Target Version7.6.0Fixed in Version7.6.0 
Summary0028098: Visualization - errors in tests when using OpenGL ES (ANGLE)
DescriptionWhen building OCCT in GLES mode (HAVE_GLES2=true) using ANGLE libraries, about 80 tests fail. Here is a list of different problems observed:

1. Export to vector formats (PDF, SVG etc.) GL2PS does not work (0029520)

test 3rdparty export *
test bugs vis bug21091_*
test bugs vis bug22796_3

2. Command vbounding does not draw a box [0029823 should fix the issue]

teat bugs demo bug24873_1

3. Exception Aspect_GraphicDeviceDefinitionError: OpenGl_Window, EGL is unable to create surface for window!

test bugs vis bug280_2
test bugs vis bug280_3
test bugs vis bug349
test bugs vis bug349_1

4. Error: Mipmap NPOT Textures (500x205) are not supported by OpenGL ES 2.0 (0030745)

test bugs vis bug1188
test bugs vis bug24376
test bugs vis bug24622
test bugs vis bug25544_graytexture

5. Line styles (width, dashing) are not applied (0030744).

test bugs vis bug10781
test bugs vis bug22016
test bugs vis bug23407_2
test bugs vis bug23709_* (note that tests _3 and _4 are insensitive)
test bugs vis bug26945

6. Problems with text rendering (subtitle and blend modes)

test bugs vis bug22879

7. Userdraw objects do not work (0029075)

test bugs vis bug23067

8. Division by zero in vsetbg -tiled

test bugs vis bug23102
test bugs vis bug25475

9. vfeedback command is unsupported on current platform (0032149).

test bugs vis bug23227

10. vdump or vreadpixel failure: warning on usage of on-screen buffer + Unhandled GL error: GL_INVALID_OPERATION (0028095)

test bugs vis bug23747_2
test bugs vis bug24728
test bugs vis bug25611_1
test bugs vis bug25611_2
test demo samples dimensions
test demo samples penrose
test v3d glsl distinguish_off
test v3d glsl stipple_line
test v3d glsl texture_trsf

11. Markers do not work (0032150)

test bugs vis bug24131_markers_bitmap
test bugs vis bug24131_markers_sprites

12. Ray tracing is not supported (0031196)

test bugs vis bug26404
test bugs vis bug26676
test bugs vis bug26975
test bugs vis bug27083
test bugs vis bug27337
test demo samples raytrace
test v3d glsl msaa
test v3d glsl tiles
test v3d materials bug24855
test v3d materials bug24872_2
test v3d raytrace *
TagsNo tags attached.
Test case numberNot required

Relationships

related to 0024838 closedbugmaster Open CASCADE Visualization, TKOpenGl - make general rendering path compatible with OpenGL 3.1+ core profiles 
related to 0029823 closedbugmaster Open CASCADE Visualization, TKOpenGl - highlighting by Bounding Box mistreats Local Transformation 
related to 0031478 closedbugmaster Open CASCADE Visualization, TKOpenGl - allow uploading Cubemap in compressed DDS format when supported by GPU 
related to 0030744 closedbugmaster Community Visualization, TKOpenGl - stipple line does not work on OpenGL ES 2.0 
related to 0029075 closedbugmaster Open CASCADE Configuration - fix TKService linkage errors due to usage of GLX functions while using EGL 
parent of 0032149 closedbugmaster Open CASCADE Draw Harness, ViewerTest - remove obsolete command vfeedback 
parent of 0032150 closedbugmaster Open CASCADE Visualization, TKOpenGl - ignore OpenGl_Caps::ffpEnable when FFP is unavailable 
parent of 0032155 closedbugmaster Open CASCADE Tests - remove broken command OCC280 
related to 0028095 closedapn Open CASCADE Draw Harness, ViewerTest - use RGBA format instead of BGRA within vreadpixel 
related to 0028099 closedapn Open CASCADE Visualization, OpenGl_Text - handle DIMENSION and SUBTITLE styles within Core Profile 
related to 0029514 closedbugmaster Open CASCADE Configuration, CMake - OpenGL ES should be available for Linux 
related to 0030745 closedbugmaster Open CASCADE Visualization, TKOpenGl - fix initialization of GLES3 context 
related to 0031196 closedbugmaster Community Visualization, TKOpenGl - enable Ray-Tracing using OpenGL ES 3.2 

Activities

abv

2016-11-13 22:31

manager   ~0060267

In addition, there are diffs in images on tests:

test bugs vis buc60738,bug6897_1 (with ANGLE, shape is shown with constant green color)

test bugs vis bug23226 (left 8 ">"s are not shown)

test bugs vis bug23363 (cylinder is shown shaded)

test bugs vis bug23747_1,bug26434 (no environment mapping)

test bugs vis bug23804,bug23813,bug24224,bug24725,bug24930,bug25369,bug26434,bug5988,bug9517 (no textures)

test bugs vis bug24131_markers_core (no markers in master version - !!!)

test bugs vis bug27624 (no background of text)

test demo samples dimensionsglsl (no dashing on capping)

git

2018-02-15 12:00

administrator   ~0074000

Branch CR28098 has been created by kgv.

SHA-1: f0cf6ecca4da61af3005baaa2cc5a334cc0b3348


Detailed log of new commits:

Author: kgv
Date: Thu Feb 15 12:00:46 2018 +0300

    0028098: Visualization - errors in tests when using OpenGL ES (ANGLE)
    
    force GLES on Linux platform

git

2019-07-10 14:19

administrator   ~0085558

Branch CR28098 has been updated forcibly by oan.

SHA-1: f0cf6ecca4da61af3005baaa2cc5a334cc0b3348

git

2019-07-10 15:54

administrator   ~0085559

Branch CR28098_2 has been deleted by kgv.

SHA-1: 057d4b15e3c539cc52e6381f2b61e0d23985e4a0

git

2019-07-10 15:55

administrator   ~0085560

Branch CR28098_1 has been deleted by kgv.

SHA-1: 76fe19d805a951ab93f0e2e81a17ece9ba02b5ed

kgv

2021-02-23 12:11

developer   ~0099100

Last edited: 2021-02-23 12:13

8 test cases remain failing (on OpenGL ES 3.2 on Linux, not with Angle which doesn't yet support OpenGL ES 3.2) after recent updates:
> bugs caf bug31546
[misleading memleak]
> bugs vis buc60738 bug26538 bug29412 bug30182 bug31702
[no polygon mode, no vmemgpu, no BGR24 texture format, no hatching]
> v3d glsl distinguish_off
[no FFP - color is different]
> v3d transparency oit
[VTK OpenGL + OCCT OpenGL ES combination crashes GLX]

git

2021-08-24 01:05

administrator   ~0103398

Branch CR28098 has been deleted by kgv.

SHA-1: f0cf6ecca4da61af3005baaa2cc5a334cc0b3348

kgv

2021-08-24 01:07

developer   ~0103399

Please switch to VERIFIED according to current Jenkins state.

Issue History

Date Modified Username Field Change
2016-11-13 19:05 abv New Issue
2016-11-13 19:05 abv Assigned To => kgv
2016-11-13 22:31 abv Note Added: 0060267
2016-11-13 23:28 kgv Relationship added related to 0024838
2016-11-14 10:17 kgv Relationship added related to 0028095
2016-11-14 13:46 kgv Relationship added related to 0028099
2017-07-20 10:58 kgv Target Version 7.2.0 => 7.4.0
2018-02-15 12:00 git Note Added: 0074000
2018-02-16 16:53 kgv Relationship added related to 0029514
2018-10-01 07:34 kgv Relationship added related to 0029823
2018-10-01 07:35 kgv Description Updated
2019-05-25 19:02 kgv Relationship added related to 0030745
2019-07-10 14:19 git Note Added: 0085558
2019-07-10 15:54 git Note Added: 0085559
2019-07-10 15:55 git Note Added: 0085560
2019-09-04 15:54 abv Target Version 7.4.0 => 7.5.0
2020-05-22 22:47 kgv Relationship added related to 0031478
2020-08-28 16:37 kgv Target Version 7.5.0 => 7.6.0
2021-02-20 20:15 kgv Relationship added related to 0031196
2021-02-20 20:19 kgv Relationship added parent of 0032149
2021-02-20 20:48 kgv Relationship added parent of 0032150
2021-02-20 21:17 kgv Description Updated
2021-02-20 21:18 kgv Description Updated
2021-02-20 21:19 kgv Description Updated
2021-02-20 21:20 kgv Description Updated
2021-02-20 21:21 kgv Relationship added related to 0030744
2021-02-20 21:22 kgv Description Updated
2021-02-20 21:25 kgv Description Updated
2021-02-20 21:27 kgv Description Updated
2021-02-20 21:27 kgv Relationship added related to 0029075
2021-02-20 21:28 kgv Product Version => 7.1.0
2021-02-22 18:38 kgv Relationship added parent of 0032155
2021-02-23 12:11 kgv Note Added: 0099100
2021-02-23 12:12 kgv Note Edited: 0099100
2021-02-23 12:13 kgv Note Edited: 0099100
2021-08-24 01:05 git Note Added: 0103398
2021-08-24 01:07 kgv Note Added: 0103399
2021-08-24 01:07 kgv Assigned To kgv => bugmaster
2021-08-24 01:07 kgv Status new => resolved
2021-08-24 01:07 kgv Status resolved => reviewed
2021-08-26 20:56 bugmaster Test case number => Not required
2021-08-26 20:56 bugmaster Status reviewed => verified
2021-08-26 20:56 bugmaster Resolution open => fixed